Bug 2087186 (CVE-2022-24823) - CVE-2022-24823 netty: world readable temporary file containing sensitive data
Summary: CVE-2022-24823 netty: world readable temporary file containing sensitive data
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-24823
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2087548 2093087 2093088 2093089 2093085 2093086 2093090
Blocks: 2087184
TreeView+ depends on / blocked
 
Reported: 2022-05-17 14:17 UTC by Patrick Del Bello
Modified: 2023-01-12 04:01 UTC (History)
91 users (show)

Fixed In Version: netty 4.1.59.Final, netty 4.1.77.Final
Doc Type: If docs needed, set a value
Doc Text:
CVE-2021-21290 contains an incomplete fix, and this addresses the issue found in netty. When using multipart decoders in netty, local information disclosure can occur via the local system temporary directory if temporary storing of uploads on the disk is enabled.
Clone Of:
Environment:
Last Closed: 2022-12-08 20:33:09 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:5892 0 None None None 2022-08-03 15:55:58 UTC
Red Hat Product Errata RHSA-2022:5893 0 None None None 2022-08-03 15:46:18 UTC
Red Hat Product Errata RHSA-2022:5894 0 None None None 2022-08-03 16:01:17 UTC
Red Hat Product Errata RHSA-2022:5928 0 None None None 2022-08-08 19:44:32 UTC
Red Hat Product Errata RHSA-2022:6819 0 None None None 2022-10-05 14:30:39 UTC
Red Hat Product Errata RHSA-2022:6916 0 None None None 2022-10-12 07:57:17 UTC
Red Hat Product Errata RHSA-2022:8524 0 None None None 2022-11-17 13:40:17 UTC
Red Hat Product Errata RHSA-2022:8652 0 None None None 2022-11-28 14:39:45 UTC

Description Patrick Del Bello 2022-05-17 14:17:10 UTC
Netty is an open-source, asynchronous event-driven network application framework. The package `io.netty:netty-codec-http` prior to version 4.1.77.Final contains an insufficient fix for CVE-2021-21290. When Netty's multipart decoders are used local information disclosure can occur via the local system temporary directory if temporary storing uploads on the disk is enabled. This only impacts applications running on Java version 6 and lower. Additionally, this vulnerability impacts code running on Unix-like systems, and very old versions of Mac OSX and Windows as they all share the system temporary directory between all users. Version 4.1.77.Final contains a patch for this vulnerability. As a workaround, specify one's own `java.io.tmpdir` when starting the JVM or use DefaultHttpDataFactory.setBaseDir(...) to set the directory to something that is only readable by the current user.

https://github.com/netty/netty/commit/185f8b2756a36aaa4f973f1a2a025e7d981823f1
https://github.com/netty/netty/security/advisories/GHSA-5mcr-gq6c-3hq2
https://github.com/netty/netty/security/advisories/GHSA-269q-hmxg-m83q

Comment 2 Anten Skrabec 2022-05-18 02:41:23 UTC
Created netty tracking bugs for this issue:

Affects: fedora-all [bug 2087548]

Comment 11 errata-xmlrpc 2022-08-03 15:46:13 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 for RHEL 8

Via RHSA-2022:5893 https://access.redhat.com/errata/RHSA-2022:5893

Comment 12 errata-xmlrpc 2022-08-03 15:55:54 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 on RHEL 7

Via RHSA-2022:5892 https://access.redhat.com/errata/RHSA-2022:5892

Comment 13 errata-xmlrpc 2022-08-03 16:01:13 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 for RHEL 9

Via RHSA-2022:5894 https://access.redhat.com/errata/RHSA-2022:5894

Comment 14 errata-xmlrpc 2022-08-08 19:44:28 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2022:5928 https://access.redhat.com/errata/RHSA-2022:5928

Comment 19 errata-xmlrpc 2022-10-05 14:30:34 UTC
This issue has been addressed in the following products:

  Red Hat AMQ Streams 2.2.0

Via RHSA-2022:6819 https://access.redhat.com/errata/RHSA-2022:6819

Comment 20 errata-xmlrpc 2022-10-12 07:57:11 UTC
This issue has been addressed in the following products:

  AMQ Broker 7.10.1

Via RHSA-2022:6916 https://access.redhat.com/errata/RHSA-2022:6916

Comment 23 errata-xmlrpc 2022-11-17 13:40:13 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 8.4.0

Via RHSA-2022:8524 https://access.redhat.com/errata/RHSA-2022:8524

Comment 26 errata-xmlrpc 2022-11-28 14:39:40 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.11.1

Via RHSA-2022:8652 https://access.redhat.com/errata/RHSA-2022:8652

Comment 27 Product Security DevOps Team 2022-12-08 20:33:03 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-24823


Note You need to log in before you can comment on or make changes to this bug.